Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000533Core InformPropertiespublic2011-02-03 12:222014-05-07 07:33
Reportercapmikee 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000533: "X is an [adjective] [kind]" causes compiler error when adjective is defined as a phrase for another kind
DescriptionAlthough this code will compile and work correctly if the shot glass is defined using "The shot glass is vessel in Test, full" -- or if the handbag is omitted, the combination presented here causes a compiler error asserting that the handbag is not a thing.

I don't know whether to report this as a badly worded error message or a rejection of valid code, but my opinion tends towards the latter.
Minimal Source Text To Reproduce
Test is a room.

A vessel is a kind of thing. A vessel can be full or empty.

The shot glass is full vessel in Test.

The handbag is a container with carrying capacity 1. It is carried by the player.

Definition: The handbag is full rather than empty if it contains something.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000990)
EmacsUser (manager)
2011-02-05 15:36

Confirmed. Another workaround is to declare all vessels after the definition.
(0002554)
graham (administrator)
2014-03-13 12:14

A race condition to do with when the domains of adjectives are worked out. Fixed; the source text was valid.

- Issue History
Date Modified Username Field Change
2011-02-03 12:22 capmikee New Issue
2011-02-03 16:53 jmcgrew Status new => acknowledged
2011-02-05 15:36 EmacsUser Note Added: 0000990
2011-02-05 15:36 EmacsUser Status acknowledged => confirmed
2014-03-13 12:14 graham Note Added: 0002554
2014-03-13 12:14 graham Status confirmed => resolved
2014-03-13 12:14 graham Resolution open => fixed
2014-03-13 12:14 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker